Skip to content

Qwen3 32B

POST
/project/p-{Project_Id}/genai/qwen3_32b/v1/chat/completions
curl --request POST \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/project/p-{Project_Id}/genai/qwen3_32b/v1/chat/completions?project_id=<PROJECT_ID>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"temperature": 0.5,
"max_tokens": 1500,
"top_p": 1,
"frequency_penalty": 0,
"presence_penalty": 1,
"stream": false,
"model": "qwen3_32b",
"messages": [
{
"role": "user",
"content": "Can you write a poem about open source machine learning?"
}
]
}'

Qwen3-32B is a powerful reasoning model with strong performance in complex tasks, featuring built-in reasoning capabilities.

Project_Id
required
string

Path parameter Project_Id.

project_id
required
integer

Project ID

Media typeapplication/json
object
temperature
number

Example

0.5
max_tokens
integer

Example

1500
top_p
number

Example

1
frequency_penalty
number

Example

0
presence_penalty
number

Example

1
stream
boolean

Example

false
model
string

Example

qwen3_32b
messages
Array<object>
object
role
string

Example

user
content
string

Example

Can you write a poem about open source machine learning?

Successful response (Non-streaming)

Media typeapplication/json
object
id
string
object
string
created
integer
model
string
choices
Array<object>
object
index
integer
message
object
role
string
reasoning_content

The internal reasoning process of the model before generating the final response

string
content
string
tool_calls
Array<string>
logprobs
string
nullable
finish_reason
string
stop_reason
string
nullable
usage
object
prompt_tokens
integer
total_tokens
integer
completion_tokens
integer
prompt_tokens_details
string
nullable
prompt_logprobs
string
nullable
kv_transfer_params
string
nullable

Example

{
"id": "chatcmpl-fac93c60-a0c4-4fc8-9b75-bb41d8838e90",
"object": "chat.completion",
"created": 1770613777,
"model": "qwen3_32b",
"choices": [
{
"index": 0,
"message": {
"role": "assistant",
"reasoning_content": "\nOkay, the user wants a poem about open source machine learning. Let me start by breaking down the key elements here...",
"content": "\n\n**Ode to Open Source Machine Learning** \n\nIn circuits deep where whispered code is sown...",
"tool_calls": []
},
"finish_reason": "stop"
}
],
"usage": {
"prompt_tokens": 19,
"total_tokens": 670,
"completion_tokens": 651
}
}